Bug 1007568 - SELinux is preventing /usr/libexec/gdm-session-worker from 'entrypoint' accesses on the file /usr/lib64/security/pam_krb5/pam_krb5_cchelper.
SELinux is preventing /usr/libexec/gdm-session-worker from 'entrypoint' acces...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a9df31f1702e857e1750c72532b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 15:00 EDT by Casey Dahlin
Modified: 2014-06-18 04:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-29 20:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2013-09-12 15:00:04 EDT
Description of problem:
Just after logging in after a fresh reboot
SELinux is preventing /usr/libexec/gdm-session-worker from 'entrypoint' accesses on the file /usr/lib64/security/pam_krb5/pam_krb5_cchelper.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gdm-session-worker should be allowed entrypoint access on the pam_krb5_cchelper file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gdm-session-wor /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib64/security/pam_krb5/pam_krb5_cchelper [
                              file ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdm-3.8.4-2.fc19.x86_64
Target RPM Packages           pam_krb5-2.4.6-1.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-74.2.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   6
First Seen                    2013-09-04 15:58:22 EDT
Last Seen                     2013-09-12 14:56:09 EDT
Local ID                      90af6af7-4938-4ab2-9659-e0081588ed69

Raw Audit Messages
type=AVC msg=audit(1379012169.125:178): avc:  denied  { entrypoint } for  pid=1099 comm="gdm-session-wor" path="/usr/lib64/security/pam_krb5/pam_krb5_cchelper" dev="dm-0" ino=3816983 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file


type=SYSCALL msg=audit(1379012169.125:178): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f8ffbba40a0 a1=7fff63387670 a2=7fff6338c138 a3=7f8ff952f2e0 items=0 ppid=1085 pid=1099 auid=11892 uid=11892 gid=11892 euid=11892 suid=11892 fsuid=11892 egid=11892 sgid=11892 fsgid=11892 ses=1 tty=(none) comm=gdm-session-wor exe=/usr/libexec/gdm-session-worker subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gdm-session-wor,staff_t,lib_t,file,entrypoint

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 915372
Comment 1 Daniel Walsh 2013-09-16 14:17:23 EDT
commit 3fecd084ad4897ea9fcf286ad5529c60f0b94af8 fixes this in git.
Comment 2 Lukas Vrabec 2013-09-18 06:19:26 EDT
back ported
Comment 3 Fedora Update System 2013-09-26 05:42:15 EDT
selinux-policy-3.12.1-74.8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.8.fc19
Comment 4 Fedora Update System 2013-09-26 20:47:18 EDT
Package selinux-policy-3.12.1-74.8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17739/selinux-policy-3.12.1-74.8.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-29 20:34:40 EDT
selinux-policy-3.12.1-74.8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.